<?php
namespace Magento\Customer\Block\Adminhtml\Edit\Renderer\Region;

/**
 * Interceptor class for @see \Magento\Customer\Block\Adminhtml\Edit\Renderer\Region
 */
class Interceptor extends \Magento\Customer\Block\Adminhtml\Edit\Renderer\Region implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Context $context, \Magento\Directory\Helper\Data $directoryHelper, array $data = [], ?\Magento\Framework\View\Helper\SecureHtmlRenderer $secureRenderer = null)
    {
        $this->___init();
        parent::__construct($context, $directoryHelper, $data, $secureRenderer);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
